module.exports = app => {
  const users = require("../controllers/users.controller.js");
  var router = require("express").Router();
  router.post("/login", users.login);
  router.post("/add", users.addUser);
  router.post("/all", users.findAll);
  router.get("/:id", users.findOne);
  router.put("/:id", users.updateUser);
  router.delete("/:id", users.delete);
  router.post("/filter", users.filterUser);
  router.post("/verifyotp", users.verifyEmailOtp);
  app.use('/users', router);
};
